--- old/usr/src/data/hwdata/usb.ids	Tue May  2 16:54:59 2017
+++ new/usr/src/data/hwdata/usb.ids	Tue May  2 16:54:59 2017
@@ -9,8 +9,8 @@
 #	The latest version can be obtained from
 #		http://www.linux-usb.org/usb.ids
 #
-# Version: 2016.10.13
-# Date:    2016-10-13 20:34:14
+# Version: 2017.02.12
+# Date:    2017-02-12 20:34:05
 #
 
 # Vendors, devices and interfaces. Please keep sorted.
@@ -36,6 +36,7 @@
 	145f  NW-3100 802.11b/g 54Mbps Wireless Network Adapter [zd1211]
 0127  IBP
 	0002  HDM Interface
+	0127  ibp
 0145  Unknown
 	0112  Card Reader
 017c  MLK
@@ -633,6 +634,7 @@
 	8c11  Deskjet F4500 series
 	9002  PhotoSmart M437
 	9102  PhotoSmart M537
+	9207  HD-4110 Webcam
 	9302  PhotoSmart R930 series
 	9402  PhotoSmart R837
 	9502  PhotoSmart R840 series
@@ -707,6 +709,7 @@
 03fc  Elitegroup Computer Systems
 03fd  Xilinx, Inc.
 	0008  Platform Cable USB II
+	0050  dfu downloader
 03fe  Farallon Comunications
 0400  National Semiconductor Corp.
 	05dc  Rigol Technologies DS1000USB Oscilloscope
@@ -748,7 +751,7 @@
 	6007  Serial Converter
 	6008  Serial Converter
 	6009  Serial Converter
-	6010  FT2232C Dual USB-UART/FIFO IC
+	6010  FT2232C/D/H Dual UART/FIFO IC
 	6011  FT4232H Quad HS USB-UART/FIFO IC
 	6014  FT232H Single HS USB-UART/FIFO IC
 	6015  Bridge(I2C/SPI/UART/FIFO)
@@ -792,6 +795,7 @@
 	bfda  OpenDCC (Throttle)
 	bfdb  OpenDCC (Gateway)
 	bfdc  OpenDCC (GBM)
+	c580  HID UNIKEY dongle [F-Response]
 	c630  lcd2usb interface
 	c631  i2c-tiny-usb interface
 	c632  xu1541 c64 floppy drive interface
@@ -1830,6 +1834,8 @@
 	ffff  Compaq Bluetooth Multiport Module
 044f  ThrustMaster, Inc.
 	0400  HOTAS Cougar
+	0402  HOTAS Warthog Joystick
+	0404  HOTAS Warthog Throttle
 	044f  GP XID
 	a003  Rage 3D Game Pad
 	a01b  PK-GP301 Driving Wheel
@@ -1853,6 +1859,7 @@
 	b651  Ferrari GT Rumble Force Wheel
 	b653  RGT Force Feedback Clutch Racing Wheel
 	b654  Ferrari GT Force Feedback Wheel
+	b687  TWCS Throttle
 	b700  Tacticalboard
 0450  DFI, Inc.
 0451  Texas Instruments, Inc.
@@ -2153,6 +2160,9 @@
 	02d1  Xbox One Controller
 	02d5  Xbox One Digital TV Tuner
 	02dd  Xbox One Controller (Covert Forces/Firmware 2015)
+	02e3  Xbox One Elite Controller
+	02e6  Wireless XBox Controller Dongle
+	02ea  Xbox One S Controller
 	0400  Windows Powered Pocket PC 2002
 	0401  Windows Powered Pocket PC 2002
 	0402  Windows Powered Pocket PC 2002
@@ -2303,6 +2313,7 @@
 	0750  Wired Keyboard 600
 	0752  Wired Keyboard 400
 	075d  LifeCam Cinema
+	0761  LifeCam VX-2000
 	0766  LifeCam VX-800
 	0768  Sidewinder X4
 	076c  Comfort Mouse 4500
@@ -2309,6 +2320,7 @@
 	076d  LifeCam HD-5000
 	0772  LifeCam Studio
 	0779  LifeCam HD-3000
+	077f  LifeChat LX-6000 Headset
 	0780  Comfort Curve Keyboard 3000
 	0797  Optical Mouse 200
 	07a5  Wireless Receiver 1461C
@@ -2402,6 +2414,8 @@
 	0027  CyMotion Master Solar Keyboard
 	002a  Wireless Mouse & Keyboard
 	002d  SmartTerminal XX44
+	003c  Raptor Gaming Keyboard
+	003d  Raptor Gaming Keyboard Integrated Hub
 	003e  SmartTerminal ST-2xxx
 	0041  G86 6240 Keyboard
 	0080  eHealth Terminal ST 1503
@@ -2408,6 +2422,8 @@
 	0081  eHealth Keyboard G87 1504
 	0106  R-300 Wireless Mouse Receiver
 	010d  MX-Board 3.0 Keyboard
+	b090  Keyboard
+	b091  Mouse
 046b  American Megatrends, Inc.
 	0001  Keyboard
 	0101  PS/2 Keyboard, Mouse & Joystick Ports
@@ -2555,7 +2571,9 @@
 	0a37  USB Headset H540
 	0a38  Headset H340
 	0a44  Headset H390
+	0a45  960 Headset
 	0a4d  G430 Surround Sound Gaming Headset
+	0a5b  G933 Wireless Headset Dongle
 	0b02  C-UV35 [Bluetooth Mini-Receiver] (HID proxy mode)
 	8801  Video Camera
 	b014  Bluetooth Mouse M336/M337/M535
@@ -2653,7 +2671,7 @@
 	c20c  WingMan Precision
 	c20d  WingMan Attack 2
 	c20e  WingMan Formula GP
-	c211  iTouch Cordless Reciever
+	c211  iTouch Cordless Receiver
 	c212  WingMan Extreme Digital 3D
 	c213  J-UH16 (Freedom 2.4 Cordless Joystick)
 	c214  ATK3 (Attack III Joystick)
@@ -3069,6 +3087,7 @@
 	a202  Canvio Basics HDD
 	a208  Canvio Basics 2TB USB 3.0 Portable Hard Drive
 	b001  Stor.E Partner
+	b207  Canvio Ready
 	d000  External Disk 2TB Model DT01ABA200
 	d010  External Disk 3TB
 	d011  Canvio Desk
@@ -3140,6 +3159,7 @@
 048c  Alps Electric Ireland, Ltd
 048d  Integrated Technology Express, Inc.
 	1165  IT1165 Flash Controller
+	1172  Flash Drive
 	1336  SD/MMC Cardreader
 	1345  Multi Cardreader
 	9006  IT9135 BDA Afatech DVB-T HDTV Dongle
@@ -3401,6 +3421,7 @@
 	049b  Strobe XP 100
 	04a0  7400
 	04ac  Xerox Travel Scanner 100
+	04cd  Xerox Travel Scanner 150
 04a8  Multivideo Labs, Inc.
 	0101  Hub
 	0303  Peripheral Switch
@@ -3473,9 +3494,11 @@
 	10a8  iP6220D
 	10a9  iP6600D
 	10b6  PIXMA iP4300 Printer
+	10b7  PIXMA iP5300 Printer
 	10c2  PIXMA iP1800 Printer
 	10c4  Pixma iP4500 Printer
-	10c9  PIXIMA iP4600 Printer
+	10c9  PIXMA iP4600 Printer
+	10ca  PIXMA iP3600 Printer
 	10e3  PIXMA iX6850 Printer
 	1404  W6400PG
 	1405  W8400PG
@@ -3484,6 +3507,7 @@
 	1512  BIJ1350D PCL
 	1601  DR-2080C Scanner
 	1607  DR-6080 Scanner
+	1608  DR-2580C Scanner
 	1700  PIXMA MP110 Scanner
 	1701  PIXMA MP130 Scanner
 	1702  MP410 Composite
@@ -3514,7 +3538,7 @@
 	1725  MP610 ser
 	1726  MP970 ser
 	1727  MX300 ser
-	1728  MX310 ser
+	1728  PIXMA MX310 series
 	1729  MX700 ser
 	172b  MP140 ser
 	1736  PIXMA MX320 series
@@ -3874,7 +3898,9 @@
 	3211  PowerShot SX130 IS
 	3212  Powershot S95
 	3214  SELPHY CP800
+	3215  EOS 60D
 	3218  EOS 600D / Rebel T3i (ptp)
+	3219  EOS 1D X
 	3223  PowerShot A3300 IS
 	3224  PowerShot A3200 IS
 	3225  PowerShot ELPH 500 HS / IXUS 310 HS
@@ -3891,7 +3917,9 @@
 	3236  PowerShot S100
 	3237  PowerShot ELPH 310 HS / IXUS 230 HS
 	3238  PowerShot SX40 HS
+	323a  EOS 5D Mark III
 	323b  EOS Rebel T4i
+	323d  EOS M
 	323e  PowerShot A1300
 	323f  PowerShot A810
 	3240  PowerShot ELPH 320 HS / IXUS 240 HS
@@ -3900,10 +3928,14 @@
 	3243  PowerShot A4000 IS
 	3244  PowerShot SX260 HS
 	3245  PowerShot SX240 HS
+	3246  PowerShot ELPH 530 HS / IXUS 510 HS
 	3247  PowerShot ELPH 520 HS / IXUS 500 HS
 	3248  PowerShot A3400 IS
 	3249  PowerShot A2400 IS
 	324a  PowerShot A2300
+	3250  EOS 6D
+	3252  EOS 1D C
+	3253  EOS 70D
 	3255  SELPHY CP900
 	3256  SELPHY CP810
 	3258  PowerShot G15
@@ -3921,10 +3953,16 @@
 	3265  Powershot ELPH 130 IS / IXUS 140
 	3266  Powershot ELPH 120 IS / IXUS 135
 	3268  PowerShot ELPH 330 HS / IXUS 255 HS
+	326f  EOS 7D Mark II
+	3270  EOS 100D
 	3271  PowerShot A2500
+	3272  EOS 700D
+	3274  PowerShot G16
+	3275  PowerShot S120
 	3276  PowerShot SX170 IS
 	3277  PowerShot SX510 HS
 	3278  PowerShot S200
+	327a  SELPHY CP910
 	327d  Powershot ELPH 115 IS / IXUS 132
 	327f  EOS Rebel T5 / EOS 1200D / EOS Kiss X70
 	3284  PowerShot D30
@@ -3943,9 +3981,14 @@
 	329f  PowerShot SX530 HS
 	32a6  PowerShot SX710 HS
 	32aa  Powershot ELPH 160 / IXUS 160
+	32ab  PowerShot ELPH 350HS / IXUS 275 HS
 	32ac  PowerShot ELPH 170 IS / IXUS 170
 	32ad  PowerShot SX410 IS
+	32b1  SELPHY CP1200
+	32b2  PowerShot G9 X
+	32bb  EOS M5
 	32c1  PowerShot ELPH 180 / IXUS 175
+	32c2  PowerShot SX720 HS
 04aa  DaeWoo Telecom, Ltd
 04ab  Chromatic Research
 04ac  Micro Audiometrics Corp.
@@ -4312,6 +4355,7 @@
 	1304  iKey Token
 	1305  iKey Token
 	1306  iKey Token
+	8000  SafeNet Sentinel Hardware Key
 04ba  Toucan Systems, Ltd
 04bb  I-O Data Device, Inc.
 	0101  USB2-IDE/ATAPI Bridge Adapter
@@ -4607,6 +4651,7 @@
 	1818  Keyboard [Diatec Filco Majestouch 2]
 	2011  Keyboard [Diatec Filco Majestouch 1]
 	2013  Keyboard [Das Keyboard]
+	2206  Fujitsu Siemens Mouse Esprimo Q
 	2221  Keyboard
 	2323  Keyboard
 	2519  Shenzhen LogoTech 2.4GHz receiver
@@ -4615,6 +4660,7 @@
 	a01c  wireless multimedia keyboard with trackball [Trust ADURA 17911]
 	a050  Chatman V1
 	a055  Keyboard
+	a11b  Mouse [MX-3200]
 04da  Panasonic (Matsushita)
 	0901  LS-120 Camera
 	0912  SDR-S10
@@ -4625,6 +4671,7 @@
 	0d0a  CD-R Drive KXL-CB20AN
 	0d0d  CDRCB03
 	0d0e  DVD-ROM & CD-R/RW
+	0f07  KX-MB2030 Multifunction Laser Printer
 	0f40  Printer
 	104d  Elite Panaboard UB-T880 (HID)
 	104e  Elite Panaboard Pen Adaptor (HID)
@@ -4643,6 +4690,9 @@
 	2374  Lumix Camera (PTP mode)
 	2451  HDC-SD9
 	245b  HC-X920K (3MOS Full HD video camcorder)
+	2477  SDR-H85 Camcorder (PC mode)
+	2478  SDR-H85 Camcorder (recorder mode - SD card)
+	2479  SDR-H85 Camcorder (recorder mode - HDD)
 	2497  HDC-TM700
 	250c  Gobi Wireless Modem (QDL mode)
 	250d  Gobi Wireless Modem
@@ -4791,6 +4841,7 @@
 	0082  Touchmonitor Interface
 	00ff  Touchmonitor Interface
 04e8  Samsung Electronics Co., Ltd
+	0001  Printer Bootloader
 	0100  Kingston Flash Drive (128MB)
 	0110  Connect3D Flash Drive
 	0111  Connect3D Flash Drive
@@ -4944,7 +4995,7 @@
 	6125  D3 Station External Hard Drive
 	61b5  M3 Portable Hard Drive 2TB
 	61b6  M3 Portable Hard Drive 1TB
-	61f3  MU-PT500B [T3 500GB USB SSD]
+	61f3  Portable SSD T3 (MU-PT250B, MU-PT500B)
 	6601  Mobile Phone
 	6602  Galaxy
 	6603  Galaxy
@@ -4988,8 +5039,8 @@
 	6860  Galaxy (MTP)
 	6863  GT-I9500 [Galaxy S4] / GT-I9250 [Galaxy Nexus] (network tethering)
 	6864  GT-I9070 (network tethering, USB debugging enabled)
-	6865  GT-I9300 Phone [Galaxy S III] (PTP mode)
-	6866  GT-I9300 Phone [Galaxy S III] (debugging mode)
+	6865  Galaxy (PTP mode)
+	6866  Galaxy (debugging mode)
 	6868  Escape Composite driver for Android Phones: Modem+Diagnostic+ADB
 	6875  GT-B3710 Standalone LTE device (Commercial)
 	6876  GT-B3710 LTE Modem
@@ -5129,6 +5180,7 @@
 	0214  Lynx M9 Optical Mouse
 	0230  3D Optical Mouse
 	0232  Mouse
+	0234  Optical Mouse
 	02f4  2.4G Cordless Mouse
 	0381  Touchscreen
 	04a0  Dream Cheeky Stress/Panic Button
@@ -5636,7 +5688,10 @@
 	2027  QL-560 P-touch Label Printer
 	2028  QL-570 P-touch Label Printer
 	202b  PT-7600 P-touch Label Printer
+	2061  PT-P700 P-touch Label Printer
+	2064  PT-P700 P-touch Label Printer RemovableDisk
 	2100  Card Reader Writer
+	2102  Sewing machine
 	60a0  ADS-2000
 	60a1  ADS-2100
 	60a4  ADS-2500W
@@ -6143,6 +6198,7 @@
 	021b  Net MD
 	021c  Hi-MD WALKMAN
 	021d  Net MD
+	0226  UP-CR10L
 	0227  Printing Support
 	022c  Net MD
 	022d  Hi-MD AUDIO
@@ -6204,7 +6260,13 @@
 	05c4  DualShock 4
 	0689  Walkman NWZ-B173F
 	06bb  WALKMAN NWZ-F805
+	06c3  RC-S380
+	07c4  ILCE-6000 (aka Alpha-6000) in Mass Storage mode
 	088c  Portable Headphone Amplifier
+	08b7  ILCE-6000 (aka Alpha-6000) in MTP mode
+	094e  ILCE-6000 (aka Alpha-6000) in PC Remote mode
+	0994  ILCE-6000 (aka Alpha-6000) in charging mode
+	0bb5  Headset MDR-1000X
 	1000  Wireless Buzz! Receiver
 054d  Try Corp.
 054e  Proside Corp.
@@ -6492,6 +6554,12 @@
 	0317  PTH-851 [Intuos pro (L)]
 	0318  CTH-301 [Bamboo]
 	032f  DTU-1031X
+	0347  Integrated Hub
+	0348  Integrated Hub
+	034a  DTH-W1320 [MobileStudio Pro 13] touchscreen
+	034b  DTH-W1620 [MobileStudio Pro 16] touchscreen
+	034d  DTH-W1320 [MobileStudio Pro 13] tablet
+	034e  DTH-W1620 [MobileStudio Pro 16] tablet
 	0400  PenPartner 4x5
 	4001  TPC4001
 	4004  TPC4004
@@ -6541,6 +6609,7 @@
 	1300  SoftK56 Data Fax Voice CARP
 	1301  Modem Enumerator
 	1328  TrendNet TFM-561 modem
+	1804  HP Dock Audio
 	2000  SoftGate 802.11 Adapter
 	2002  SoftGate 802.11 Adapter
 	262a  tm5600 Video & Audio Grabber Capture
@@ -6982,6 +7051,7 @@
 	001e  Projector
 	001f  Projector
 	ffe5  IN34 Projector
+	ffeb  Projector IN76
 058d  Micrel Semiconductor
 058e  Tripath Technology, Inc.
 058f  Alcor Micro Corp.
@@ -7749,6 +7819,7 @@
 	b002  USB CF Reader
 	b018  Multi-Card Reader
 	b047  SDHC Reader [RW047-7000]
+	b051  microSD RDR UHS-I Card Reader [LRWM03U-7000]
 	ba02  Workflow CFR1
 	ba0a  Workflow DD512
 	c753  JumpDrive TwistTurn
@@ -7786,6 +7857,7 @@
 	0131  CF/SM Reader/Writer
 	0142  Multiple Slides Scanner-3600
 	0143  Multiple Frames Film Scanner-36series
+	0145  Reflecta CrystalScan 7200 Photo-Scanner
 	0180  Plustek Scanner
 	0182  Wize Media 1000
 	0189  ScanJet 4600 series
@@ -7835,6 +7907,7 @@
 	0731  GL3310 SATA 3Gb/s Bridge Controller
 	0732  All-in-One Cardreader
 	0736  microSD Reader/Writer
+	0738  Card reader
 	0741  microSD Card Reader
 	0743  SDXC and microSDXC CardReader
 	0745  Logilink CR0012
@@ -8744,6 +8817,11 @@
 	0394  CP9000D/DW Port
 	03a1  CP9550D/DW Port
 	03a5  CP9550DW-S
+	03a9  CP-9600DW
+	03aa  CP3020DA
+	03ad  CP-9800DW-S
+	03ae  CP-9800DW-S
+	3b10  P95D
 	3b30  CP-D70DW / CP-D707DW
 	3b31  CP-K60DW-S
 06d4  Cisco Systems
@@ -8982,6 +9060,7 @@
 	0622  TDK Trans-It 4GB
 	0624  TDK Trans-It 16GB
 	1120  RDX External dock (redbud)
+	4006  8x Slim DVD Multi-Format Recorder External
 	d000  Disc Stakka CD/DVD Manager
 0719  Tremon Enterprises Co., Ltd
 071b  Domain Technologies, Inc.
@@ -9317,10 +9396,12 @@
 	5571  Cruzer Fit
 	5575  Cruzer Glide
 	5576  Cruzer Facet
+	5577  Cruzer Pop (8GB)
 	557d  Cruzer Force (64GB)
 	5580  SDCZ80 Flash Drive
 	5581  Ultra
 	5583  Ultra Fit
+	5590  Ultra Dual
 	5591  Ultra Flair
 	5e10  Encrypted
 	6100  Ultra II SD Plus 2GB
@@ -9967,6 +10048,7 @@
 	0001  Dual PSX Adaptor
 	0002  Dual PCS Adaptor
 	0003  PlayStation Gamepad
+	e501  SNES Gamepad
 0813  Mattel, Inc.
 	0001  Intel Play QX3 Microscope
 	0002  Dual Mode Camera Plus
@@ -10316,14 +10398,21 @@
 	01f4  USBSIMM1
 08b9  RadioShack Corp. (Tandy)
 08bb  Texas Instruments
-	2702  Speakers
-	2704  Audio Codec
-	2706  PCM2706 Audio Codec
+	2702  PCM2702 16-bit stereo audio DAC
+	2704  PCM2704 16-bit stereo audio DAC
+	2705  PCM2705 stereo audio DAC
+	2706  PCM2706 stereo audio DAC
+	2707  PCM2707 stereo audio DAC
+	27c4  PCM2704C stereo audio DAC
+	27c5  PCM2705C stereo audio DAC
+	27c6  PCM2706C stereo audio DAC
+	27c7  PCM2707C stereo audio DAC
 	2900  PCM2900 Audio Codec
 	2901  PCM2901 Audio Codec
 	2902  PCM2902 Audio Codec
 	2904  PCM2904 Audio Codec
 	2910  PCM2912 Audio Codec
+	2912  PCM2912A Audio Codec
 	29b0  PCM2900B Audio CODEC
 	29b2  PCM2902 Audio CODEC
 	29b3  PCM2903B Audio CODEC
@@ -10695,6 +10784,7 @@
 	253c  GPSmap 62sc
 	255b  Nuvi 2505LM
 	26a1  Nuvi 55
+	47fb  nuviCam
 0920  Echelon Co.
 	7500  Network Interface
 0921  GoHubs, Inc.
@@ -10713,6 +10803,7 @@
 	23dd  DocuPrint M760 (X760_USB)
 	3ce8  Phaser 3428 Printer
 	3cea  Phaser 3125
+	3cec  Phaser 3250
 	3d5b  Phaser 6115MFP TWAIN Scanner
 	3d6d  WorkCentre 6015N/NI
 	420f  WorkCentre PE220 Series
@@ -10835,7 +10926,12 @@
 0933  Quantum Corp.
 0934  Spirent Communications
 0936  NuTesla
+	000a  Moebius
+	000b  iMoebius
 	000c  Rhythmedics 6 BioData Integrator
+	000d  Hypurius
+	000e  Millennius
+	000f  Purius
 	0030  Composite Device, Mass Storage Device (Flash Drive) amd HID
 	003c  Rhythmedics HID Bootloader
 0939  Lumberg, Inc.
@@ -10938,6 +11034,7 @@
 	168c  DT Elite 3.0
 0954  RPM Systems Corp.
 0955  NVidia Corp.
+	7018  APX
 	7030  Tegra 3 (recovery mode)
 	7100  Tegra Device
 	7210  SHIELD Controller
@@ -11108,6 +11205,8 @@
 	000b  Bluetooth Adapter class 1 [BlueLight]
 09d7  NovAtel Inc.
 	0100  NovAtel FlexPack GPS receiver
+09d8  ELATEC
+	0406  TWN4 MIFARE NFC
 09d9  KRF Tech, Ltd
 09da  A4Tech Co., Ltd.
 	0006  Optical Mouse WOP-35 / Trust 450L Optical Mouse
@@ -11770,9 +11869,15 @@
 	4daf  Transformer Pad Infinity TF700 (Fastboot)
 	5410  MeMO Pad HD 7 (MTP mode)
 	5412  MeMO Pad HD 7 (PTP mode)
-	550f  ASUS fonepad 7
+	550f  Fonepad 7
 	6101  Cable Modem
 	620a  Remote NDIS Device
+	7772  ASUS Zenfone GO (ZB500KL) (MTP mode)
+	7773  ASUS Zenfone GO (ZB500KL) (Debug, MTP mode)
+	7774  ASUS Zenfone GO (ZB500KL) (RNDIS mode)
+	7775  ASUS Zenfone GO (ZB500KL) (Debug, RNDIS mode)
+	7776  ASUS Zenfone GO (ZB500KL) (PTP mode)
+	7777  ASUS Zenfone GO (ZB500KL) (Debug, PTP mode)
 	b700  Broadcom Bluetooth 2.1
 0b0b  Datamax-O'Neil
 	106e  Datamax E-4304
@@ -12220,6 +12325,7 @@
 	231a  Expansion Portable
 	2320  USB 3.0 bridge [Portable Expansion Drive]
 	2321  Expansion Portable
+	2322  SRD0NF1 Expansion Portable (STEA)
 	2340  FreeAgent External Hard Drive
 	3000  FreeAgent Desktop
 	3008  FreeAgent Desk 1TB
@@ -12238,6 +12344,7 @@
 	50a5  FreeAgent GoFlex Desk USB 3.0
 	5121  FreeAgent GoFlex
 	5161  FreeAgent GoFlex dock
+	61b7  Maxtor M3 Portable
 	a003  Backup Plus
 	a0a1  Backup Plus Desktop
 	a0a4  Backup Plus Desktop Drive
@@ -12247,6 +12354,7 @@
 	ab24  Backup Plus Portable Drive
 	ab31  Backup Plus Desktop Drive (5TB)
 	ab34  Backup Plus
+	ab38  Backup Plus Hub
 0bc3  IPWireless, Inc.
 	0001  UMTS-TDD (TD-CDMA) modem
 0bc4  Microcube Corp.
@@ -12316,6 +12424,7 @@
 	5401  RTL 8153 USB 3.0 hub with gigabit ethernet
 	570c  Asus laptop camera
 	5730  HP 2.0MP High Definition Webcam
+	5751  Integrated Webcam
 	5775  HP "Truevision HD" laptop camera
 	57b3  Acer 640 × 480 laptop camera
 	57da  Built-In Video Camera
@@ -12390,6 +12499,8 @@
 	0004  USBcan II
 	000b  Leaf Light HS
 	000e  Leaf SemiPro HS
+0c00  FireFly Mouse Mat
+	1607  Apex M500
 0c04  MOTO Development Group, Inc.
 0c05  Appian Graphics
 0c06  Hasbro Games, Inc.
@@ -12623,6 +12734,7 @@
 	6480  Sonix 1.3 MP Laptop Integrated Webcam
 	648b  Integrated Webcam
 	64bd  Sony Visual Communication Camera
+	64d0  Integrated Webcam
 	64d2  Integrated Webcam
 	651b  HP Webcam
 	6705  Integrated HD Webcam
@@ -12798,7 +12910,9 @@
 	3050  EZ710 Smart Card Reader
 0ca7  Information Systems Laboratories
 0cad  Motorola CGISS
-	1030  APX Series Radio
+	1007  APX Series Consolette
+	1030  APX Series Radio (Portable)
+	1031  APX Series Radio (Mobile)
 	1602  IMPRES Battery Data Reader
 	9001  PowerPad Pocket PC Device
 0cae  Ascom Business Systems, Ltd
@@ -12882,6 +12996,10 @@
 0cd5  LabJack Corporation
 	0003  U3
 	0009  UE9
+0cd6  Scheidt & Bachmann
+	000c  S&B TPU
+	000e  S&B BKV
+	0011  Money Coin Unit
 0cd7  NewChip S.r.l.
 0cd8  JS Digitech, Inc.
 	2007  Smart Card Reader/JSTU-9700
@@ -12994,6 +13112,7 @@
 	0001  PhotoShuttle
 	0002  Photo Printer 730 series
 	0004  Photo Printer 63xPL/PS
+	000e  P910L
 	0100  Photo Printer 63xPL/PS
 	0102  Photo Printer 64xPS
 	0103  Photo Printer 730 series
@@ -13231,7 +13350,7 @@
 	0300  Avaya Wireless Card
 	1007  Discovery Kids Digital Camera
 0d99  Trazer Technologies, Inc.
-0d9a  RTX Telecom AS
+0d9a  RTX AS
 	0001  Bluetooth Device
 0d9b  Tat Shing Electrical Co.
 0d9c  Chee Chen Hi-Technology Co., Ltd
@@ -13462,6 +13581,7 @@
 0dfa  Toyo Communication Equipment Co., Ltd
 0dfc  GeneralTouch Technology Co., Ltd
 	0001  Touchscreen
+	0101  5-point Touch Screen
 0e03  Nippon Systemware Co., Ltd
 0e08  Winbest Technology Co., Ltd
 0e0b  Amigo Technology Inc.
@@ -13899,6 +14019,7 @@
 	8010  Blackberry Playbook (Connect to Windows mode)
 	8011  Blackberry Playbook (Connect to Mac mode)
 	8020  Blackberry Playbook (CD-Rom mode)
+	8037  Blackberry PRIV
 0fce  Sony Ericsson Mobile Communications AB
 	0076  W910i (Multimedia mode)
 	00af  V640i Phone [PTP Camera]
@@ -14091,6 +14212,7 @@
 	631d  Optimus Android Phone (Camera/PTP Mode)
 	631e  G2/Optimus Android Phone [Camera/PTP mode]
 	631f  Optimus Android Phone (Charge Mode)
+	633a  Ultimate 2 Android Phone L41C
 	633e  G2/G3 Android Phone [MTP/PTP/Download mode]
 	6344  G2 Android Phone [tethering mode]
 	6356  Optimus Android Phone [Virtual CD mode]
@@ -14304,6 +14426,7 @@
 	1140  My Book Essential (WDBACW)
 	1230  My Book (WDBFJK)
 	1235  My Book (WDBFJK0040HBK)
+	2599  My Passport Ultra (WD40NMZW)
 	259d  My Passport Ultra (WDBBKD)
 	259f  My Passport Ultra (WD10JMVW)
 1059  Giesecke & Devrient GmbH
@@ -16978,9 +17101,23 @@
 	0890  Flash Padlock
 	0a00  SP2500 Speakers
 	0a60  Vengeance K60 Keyboard
+	0c04  Link Cooling Node
 	1a01  Flash Voyager GT
+	1a03  Voyager 3.0
+	1a09  Voyager GT 3.0
 	1a0a  Survivor Stealth Flash Drive
+	1a0b  Flash Voyager LS
+	1a15  Voyager Slider Flash Drive
 	1a90  Flash Voyager GT
+	1ab1  Voyager
+	1b04  Raptor K50 Keyboard
+	1b07  Vengeance K65 Gaming Keyboard
+	1b08  Vengeance K95 Keyboard
+	1b09  Vengeance K70R keyboard
+	1b11  K95 RGB Mechanical Gaming Keyboard
+	1b13  Vengeance K70RGB keyboard
+	1c00  Controller for Corsair Link
+	1c0c  RM850i Power Supply
 1b1f  eQ-3 Entwicklung GmbH
 	c00f  HM-CFG-USB/HM-CFG-USB-2 [HomeMatic Configuration adapter]
 1b20  MStar Semiconductor, Inc.
@@ -17535,6 +17672,9 @@
 	0200  Qemu Audio Device
 1d90  Citizen
 	201e  PPU-700
+1d9d  Sigma Sport
+	1010  Docking Station Topline 2009
+	1011  Docking Station Topline 2012
 1de1  Actions Microelectronics Co.
 	1101  Generic Display Device (Mass storage mode)
 	c101  Generic Display Device
@@ -18145,6 +18285,13 @@
 	1042  MPIO FY670
 	1043  HCT HMD-180A
 	1044  HCT HMD-180A
+273f  Hughski Limited
+	1000  ColorHug bootloader
+	1001  ColorHug
+	1002  ColorHug+
+	1003  ColorHug+ Bootloader
+	1004  ColorHug2
+	1005  ColorHug2 bootloader
 2770  NHJ, Ltd
 	0a01  ScanJet 4600 series
 	905c  Che-Ez Snap SNAP-U/Digigr8/Soundstar TDC-35
@@ -18227,6 +18374,8 @@
 	14ea  GW-US11H WLAN
 2c1a  Dolphin Peripherals
 	0000  Wireless Optical Mouse
+2dcf  Dialog Semiconductor
+	c952  Audio Class 2.0 Devices
 2fb2  Fujitsu, Ltd
 3125  Eagletron
 	0001  TrackerPod Camera Stand
